Bug 41410 - Arabic url address bar no popup
Summary: Arabic url address bar no popup
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Slackware Packages Other
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Stephan Kulow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-21 14:33 UTC by Isam Bayazidi
Modified: 2004-07-16 13:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Isam Bayazidi 2002-04-21 14:21:20 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           konqueror
Version:           KDE 3.0.0 
Severity:          normal
Installed from:    Slackware Packages
Compiler:          Not Specified
OS:                Not Specified
OS/Compiler notes: Not Specified

The address bar ( URL bar) does not give the popup list when clicking on the button beside it when I am in the Arabic Interface .. When the URL ( Address) field in the address bar have anything inside it ( even a folder icon) the popup list that is supposed to show up when clicking on the button beside the Address field does not show up .. 
it only show up when I click on the CLEAR ( the black arrow with an X) button that is on the other side of the Address field ..
when the Address Feild is empty the popup list show up .. if there is anything in the address field the popup list does not work ..
it works when I am in the Eglish Interface .. but when I am in Arabic ( kde-i18n-ar) interface it does not ..


(Submitted via bugs.kde.org)
Comment 1 Allan Sandfeld 2003-11-18 17:50:40 UTC
I can confirm the bug is still in KDE 3.2beta. The same happens when just starting konqueror with the --reverse option.
Comment 2 Meni Livne 2004-07-16 13:35:21 UTC
This was recently fixed in CVS thanks to Pascal Létourneau.
See http://lists.kde.org/?l=kde-cvs&m=108949009731875&w=2
Having tried it in Konqueror from CVS, it works well now, so I'm closing the bug.